function [result1, result2] = getResults(num)
% illustrates ways to compose error and warning messages
if ischar(num)
    % if input is a character, function will terminate 
    % immediately and issue this error message
    error('input must be a number');
elseif (num < 0)
    % compose a warning message with concatenation, like disp
    warning(['taking squareroot of negative number ' num2str(num)]);
elseif (num == 10)
    % compose a warning message with a format string, like fprintf
    warning('input %u results in division by zero', num); 
end
% note that warnings do not halt execution of the function
result1 = sqrt(num);
result2 = 10/(10-num);
end

